Package org.bukkit.material

# Class Tripwire

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Tripwire

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class Tripwire extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents the tripwire

## Constructor Summary

Constructors
Constructor
Description
`Tripwire()`
Deprecated.
`Tripwire(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Tripwire`
`clone()`
Deprecated.
`boolean`
`isActivated()`
Deprecated.
Test if tripwire is currently activated
`boolean`
`isObjectTriggering()`
Deprecated.
Test if object triggering this tripwire directly
`void`
`setActivated(boolean act)`
Deprecated.
Set tripwire activated state
`void`
`setObjectTriggering(boolean trig)`
Deprecated.
Set object triggering state for this tripwire
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Tripwire

public Tripwire()
Deprecated.

### Tripwire

@Deprecated public Tripwire(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isActivated

public boolean isActivated()
Deprecated.
Test if tripwire is currently activated

Returns:
  true if activated, false if not

### setActivated

public void setActivated(boolean act)
Deprecated.
Set tripwire activated state

Parameters:
  `act` - - true if activated, false if not

### isObjectTriggering

public boolean isObjectTriggering()
Deprecated.
Test if object triggering this tripwire directly

Returns:
  true if object activating tripwire, false if not

### setObjectTriggering

public void setObjectTriggering(boolean trig)
Deprecated.
Set object triggering state for this tripwire

Parameters:
  `trig` - - true if object activating tripwire, false if not

### clone

public Tripwire clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`